Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  if-Befehl, kein Objekt gefunden

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   if-Befehl, kein Objekt gefunden (271 mal gelesen)
Stefan-Schirge
Mitglied



Sehen Sie sich das Profil von Stefan-Schirge an!   Senden Sie eine Private Message an Stefan-Schirge  Schreiben Sie einen Gästebucheintrag für Stefan-Schirge

Beiträge: 31
Registriert: 26.10.2020

erstellt am: 24. Nov. 2020 12:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

ich habe mal wieder ein problem mit meinem Makro 


Und zwar möchte ich, wenn er beim Befehl "isave" kein Objekt findet, dass er zum nächsten Befehl springt.
Hier der Ausschnitt um den es geht:

(command "isave")
(command "_.qsave"
        "_.-etransmit"
        "_c"
        (strcat (getvar 'dwgprefix)
                (vl-filename-base (getvar 'dwgname))
                ".zip"
        )
))

Wie bekomme ich das hin?

Kann mir bitte jemand helfen?

Vielen Dank vorab 

------------------
AutoCad 2018

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1930
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 24. Nov. 2020 12:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefan-Schirge 10 Unities + Antwort hilfreich

was ist denn isave?

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Stefan-Schirge
Mitglied



Sehen Sie sich das Profil von Stefan-Schirge an!   Senden Sie eine Private Message an Stefan-Schirge  Schreiben Sie einen Gästebucheintrag für Stefan-Schirge

Beiträge: 31
Registriert: 26.10.2020

erstellt am: 24. Nov. 2020 12:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ahhh sorry,

das kennen viele wahrscheinlich nicht. Der Befehl stammt aus dem Autocad-Aufsatz "Raster Design".

------------------
AutoCad 2018

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Stefan-Schirge
Mitglied



Sehen Sie sich das Profil von Stefan-Schirge an!   Senden Sie eine Private Message an Stefan-Schirge  Schreiben Sie einen Gästebucheintrag für Stefan-Schirge

Beiträge: 31
Registriert: 26.10.2020

erstellt am: 24. Nov. 2020 12:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Problem ist an dieser Stelle, wenn ich keine Bildreferenz hinterlegt habe,
unterbricht das Makro und es kommt die Abfrage Objekte wählen.
Das möchte ich umgehen.

------------------
AutoCad 2018

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1930
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 24. Nov. 2020 12:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefan-Schirge 10 Unities + Antwort hilfreich

was passiert denn wenn du (command "isave") in der Befehlszeile eingibst?

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Stefan-Schirge
Mitglied



Sehen Sie sich das Profil von Stefan-Schirge an!   Senden Sie eine Private Message an Stefan-Schirge  Schreiben Sie einen Gästebucheintrag für Stefan-Schirge

Beiträge: 31
Registriert: 26.10.2020

erstellt am: 24. Nov. 2020 13:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Wenn eine Bild-Datei als Xref hinterlegt ist, speichert er diese. Wenn keine hinterlegt ist, dann möchte er, dass ich Objekte auswähle.

------------------
AutoCad 2018

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1930
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 24. Nov. 2020 13:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefan-Schirge 10 Unities + Antwort hilfreich

also wirst du erstmal prüfen müssen, ob so ein Objekt in der Zeichnung enthalten ist.
Du kannst ja mal eine Zeichnung öffnen, wo ein solches Objekt enthalten ist und den Objekttyp per (entget(car(entsel))) abfragen.
und dann baust du eine if Bedingung ein
Oder was auch eine Möglichkeit wäre...
Code:
(command "isave")
(while (/= (getvar "cmdactive") 0) (command))
(command "_qsave")

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 1039
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 24. Nov. 2020 13:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefan-Schirge 10 Unities + Antwort hilfreich

Hallo Stefan,

probiere es mal hiermit:

Code:
(if (ssget "X" '((0 . "IMAGE"))) (command "isave"))

HTH
Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Stefan-Schirge
Mitglied



Sehen Sie sich das Profil von Stefan-Schirge an!   Senden Sie eine Private Message an Stefan-Schirge  Schreiben Sie einen Gästebucheintrag für Stefan-Schirge

Beiträge: 31
Registriert: 26.10.2020

erstellt am: 25. Nov. 2020 09:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo ihr Beiden,

vielen Dank für eure Hilfe. Der Befehl von spider_dd hat funktioniert.  Ich werde den Anderen bei Gelegenheit auch noch testen.

------------------
AutoCad 2018

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz